var request = require('./request.js')

module.exports = {

  /**
   * 用户登录
   *
   * @param decryptUserInfo 是否解密用户信息
   * @return 用户信息，如果返回的 #member字段为空，说明当前粉丝没有绑定手机号， 还不是会员。
   */
  kg_login(decryptUserInfo = true) {
    return request.kg_login(decryptUserInfo)
  },

  querySignSummary(teacherId, classId) {
    var params = {
      teacherId: teacherId,
      classId: classId
    }

    return request.get('/wxsite/teacher/querySignSummary.do', params)
  },
  // 获取所有学生
  getAllStudent(classId) {
    var params = {
      classId: classId
    }
    return request.get('/wxsite/teacher/getAllStudent.do', params)
  },
  // 签到接口
  signIn(teacherId, classId, studentIds) {
    var params = {
      teacherId: teacherId,
      classId: classId,
      studentIds: studentIds
    }
    return request.post('/wxsite/teacher/signin.do', params)
  },


  //根据签到表Id获取记录明细
  getRecordDetailForSignId(signSummaryId) {
    var params = {
      signSummaryId: signSummaryId
    }
    return request.get('/wxsite/teacher/getRecordDetailForSignId.do', params)
  },

  //根据记录类型查询记录流水, 在记录的时候是否需要先查询下当天的之前的记录
  queryRecordList(recordCategory, recordType, signSummaryIds) {
    var params = {
      recordCategory: recordCategory,
      recordType: recordType,
      signSummaryIds: signSummaryIds
    }
    return request.post('/wxsite/teacher/queryRecordList.do', params)
  },

  //审核签到汇总表
  auditSignSummary(signSummaryId) {
    return request.post('/wxsite/teacher/auditSignSummary.do?signSummaryId=' + signSummaryId)
  },
  // 添加、修改记录明细
  setRecord(recordList) {
    var params = {
      recordList: recordList
    }
    return request.post('/wxsite/teacher/setRecord.do', params)

  }
}